# The MEME Suite

## Motif-based sequence analysis tools

## matrix2meme

### Usage:

`matrix2meme [options]`

### Description

Convert count or frequency matrices separated by empty lines into MEME motifs.

### Inputs

#### Count/Frequency Matrices

Reads matrices from standard input separated by empty lines.

Example DNA count matrix:

    1 5 6 3
    5 5 5 0
    12 1 1 1

### Output

The motifs are named based on their order in the file but their consensus sequence is used as the alternate name.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-dna |  | Use the DNA alphabet. Note that this is actually the default. | The DNA alphabet is used.
-protein |  | Use the protein alphabet. | The DNA alphabet is used.
-alph | alphabet file | Use the alphabet defined in the file. | The DNA alphabet is used.
-orien | auto|col|row | Set the matrix orientation. | The matrix orientation is automatically detected.
-numseqs | count | Assume frequences based on count sequence sites. | The motif is created as if it was made from 20 sequence sites.